GNU bug report logs - #23584
[25.0.94.1] paragraph forward-backward inconsistent

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Andreas Röhler <andreas.roehler@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 23584 <at> debbugs.gnu.org and Andreas Röhler <andreas.roehler@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23584 <at> debbugs.gnu.org:


Received: (at 23584) by debbugs.gnu.org; 11 Jun 2022 11:08:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 07:08:22 2022
Received: from localhost ([127.0.0.1]:52006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzyyc-00009O-D3
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 07:08:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzyya-000099-L0
 for 23584 <at> debbugs.gnu.org; Sat, 11 Jun 2022 07:08:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=KfQ/hbbMYwvAyy4iML/OBLDMcxSbBymZZnqNQHVxZT8=; b=PoaKwHO2lDk2D+/C0VcnafMOvv
 XQSiZ53dz2iQ+cwoWPxaKHRLs1TAmFNGQRGAEiAxLfc1v75cCg2qfpk5+0cus++bzNSUf47octQmh
 wRG8SbcJc4n5bWkuPkHAIcLbgq/2NEwhJEZN+vKdvYVMglG9jdqbLH4xmJD4hLKBZpg8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzyyS-0008Dw-F3; Sat, 11 Jun 2022 13:08:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas =?utf-8?Q?R=C3=B6hler?= <andreas.roehler@HIDDEN>
Subject: Re: bug#23584: [25.0.94.1] paragraph forward-backward inconsistent
References: <573ED625.7010000@HIDDEN> <87v8u9tv07.fsf@HIDDEN>
X-Now-Playing: Mourning A BLKstar's _The Cycle_: "Holds"
Date: Sat, 11 Jun 2022 13:08:11 +0200
In-Reply-To: <87v8u9tv07.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 13 May 2022 15:36:08 +0200")
Message-ID: <87wndnqwys.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'm not quite
 sure I understand the recipe here, but you mention that > the HTML should
 be two lines -- but the included HTML text was many > lines long, so I guess
 it's been mangled in transmission [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23584
Cc: 23584 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'm not quite sure I understand the recipe here, but you mention that
> the HTML should be two lines -- but the included HTML text was many
> lines long, so I guess it's been mangled in transmission.
>
> To ensure that I'm looking at the same thing you're looking at, can you
> resend the HTML as an attachment?
>
> (That is, if this problem is still present in recent Emacs versions.)

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23584; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23584 <at> debbugs.gnu.org:


Received: (at 23584) by debbugs.gnu.org; 13 May 2022 13:36:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 09:36:21 2022
Received: from localhost ([127.0.0.1]:43217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npVSv-0006wd-81
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 09:36:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1npVSt-0006wE-3G
 for 23584 <at> debbugs.gnu.org; Fri, 13 May 2022 09:36:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=sSkf5tQaeWcy2CBAaHCYHiX2tFIbFE2tB2iR8i8wS1c=; b=rHMXzVzoq7fYXiD2Kv2lA4Hh1s
 AIg/R78xsDdLWg/OiJep3PWZO1X8xAHfYyRaqUgbZDgxfePOVy/ypc+oi+T8ZwF1+Wc38xjs+wj27
 ysaGDAlH/kvRCuCCZZb+t8cfl9gJlmbXBTwnguP4KofkMTolpWhkWP/s4amJJOBo2CgM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1npVSk-000144-Iw; Fri, 13 May 2022 15:36:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas =?utf-8?Q?R=C3=B6hler?= <andreas.roehler@HIDDEN>
Subject: Re: bug#23584: [25.0.94.1] paragraph forward-backward inconsistent
References: <573ED625.7010000@HIDDEN>
X-Now-Playing: Howard Jones's _Human's Lib_: "New Song"
Date: Fri, 13 May 2022 15:36:08 +0200
In-Reply-To: <573ED625.7010000@HIDDEN> ("Andreas =?utf-8?Q?R=C3=B6h?=
 =?utf-8?Q?ler=22's?= message of "Fri, 20 May 2016 11:17:25 +0200")
Message-ID: <87v8u9tv07.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Andreas Röhler <andreas.roehler@HIDDEN> writes: >
   Put text at end of mail in html-mode. It should consist of two lines, > contain
    a newline before last line. Cursor at "href=" at last > line. M-x backward-paragraph
    RET jumps to BOB. While from BOB [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23584
Cc: 23584 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andreas R=C3=B6hler <andreas.roehler@HIDDEN> writes:

> Put text at end of mail in html-mode. It should consist of two lines,
> contain a newline before last line. Cursor at "href=3D" at last
> line. M-x backward-paragraph RET jumps to BOB. While from BOB M-x
> forward-paragraph RET would stop at BOL of last-line, i.e. before
> start-pos.
>
> AFAIU cause is in sgml-mode.el
>
> Where values of (defconst sgml-name-re "[_:[:alpha:]][-_.:[:alnum:]]*")
>
> later on are included
>
>   (setq-local paragraph-start (concat "[ \t]*$\\|\
> [ \t]*</?\\(" sgml-name-re sgml-attrs-re "\\)?>"))
>   (setq-local paragraph-separate (concat paragraph-start "$"))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not quite sure I understand the recipe here, but you mention that
the HTML should be two lines -- but the included HTML text was many
lines long, so I guess it's been mangled in transmission.

To ensure that I'm looking at the same thing you're looking at, can you
resend the HTML as an attachment?

(That is, if this problem is still present in recent Emacs versions.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23584; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 May 2016 09:14:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 05:14:18 2016
Received: from localhost ([127.0.0.1]:58561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b3gVe-0004mN-MI
	for submit <at> debbugs.gnu.org; Fri, 20 May 2016 05:14:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1b3gVd-0004m9-Jb
 for submit <at> debbugs.gnu.org; Fri, 20 May 2016 05:14:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1b3gVX-0007hf-6m
 for submit <at> debbugs.gnu.org; Fri, 20 May 2016 05:14:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56163)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1b3gVX-0007ha-3l
 for submit <at> debbugs.gnu.org; Fri, 20 May 2016 05:14:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59398)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1b3gVU-0008ED-LN
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2016 05:14:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1b3gVP-0007g4-KM
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2016 05:14:07 -0400
Received: from mout.kundenserver.de ([217.72.192.75]:61282)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1b3gVP-0007fA-AK
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2016 05:14:03 -0400
Received: from [192.168.178.35] ([95.119.62.209]) by mrelayeu.kundenserver.de
 (mreue102) with ESMTPSA (Nemesis) id 0LhvjW-1bP12323yk-00n9Gz for
 <bug-gnu-emacs@HIDDEN>; Fri, 20 May 2016 11:14:01 +0200
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
Subject: [25.0.94.1] paragraph forward-backward inconsistent
Message-ID: <573ED625.7010000@HIDDEN>
Date: Fri, 20 May 2016 11:17:25 +0200
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:38.0) Gecko/20100101
 Icedove/38.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:FSi0Ms5v5rjptTf82Isz/rUW9T/JUn5Xa9Q0R+GngcwzLj+cz0s
 M80WuYfEgFbKMaoSqXxBaWwhfW3Mpm6UfiL1jl9oZfrT/xTVh+WhPIkPTv4v/1CdIBvxADs
 v1R5wAGPDtYQ24be0J5Ex5Baxu2RgIjiRDa4o7huN+7JezvajqfJSg3YWDUbtZNLOlrTTmf
 fBUnBzoJpXVizwKKz2gvA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:prLj6YOIndE=:D/hQQ/W8SNx625dq9WAauT
 qDk7S/TfEfr6E6w88jITfqgs2DQAEeaWVYr+yPopEroenH1B4PFKlq0d9VM5QRqyiUWNIRcgK
 uoHHS7PeeE6pnsD6PvR16CcjUpuVVyJgQmo1jHk/l5YqE/azoUyukKyRBN9kVDU6tvdTTDNWQ
 D5Ya/Dr5tfMDB8rZlem5IEpO3+PlmicnP3m3l24Xp9Uws5ixe9t3P2I6M9qEOfLBHpg9X3gw2
 n+E0N9HEP76BYrwyPKNMwbcev2lFE3RV/+PrzO/tRSXk0+ZC19wwDF0oUTfDp3hoKcRqDm5o4
 xThaWRlYg0UAOXdksLPKpiIdHD54UUTV+FAJWN6c57GaZ36R96MuJO7o4ffSVslYl5AIgW3Z2
 LVWdenimZqAcnyeWQApCi0vo4P3nnnmoPs4UVZ1qg781nkuXZqKrCbESxu5OOlUnUD2g4Fi5i
 RqE87ZnJmKaRQ/Z1r8knpK6CwMAJQQkhb6S/xdjYrpxzKzJq1Hw+DU5LtQGiEYuHKHDq+ulbP
 REY/c8hFjt4E8Xzj4qo144FHGRyat6s/zRTbVWHEKwxprVde+CiOXLIIjqpYcCW6/meBOjENV
 OMJKSDh44Gf65lzQhxwngIRbmILOGhaPsj6NMCViKKHMsILKyDFMy0QmMDGuC14mVKuSnetZi
 flFt4W+NpfKYoRfp1zGT8JwoV0PTgLaFy0nxaa4JdVXjyvsOmm6B5qUkRQDm2++DJIHiJF+sk
 TW4QnZvAFA1BGaUSvZfmBePpHrX0M0sTePdqOA==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

GNU Emacs 25.0.94.1 (i686-pc-linux-gnu, GTK+ Version 2.24.25) of 2016-05-18

Put text at end of mail in html-mode. It should consist of two lines, 
contain a newline before last line. Cursor at "href=" at last line. M-x 
backward-paragraph RET jumps to BOB. While from BOB M-x 
forward-paragraph RET would stop at BOL of last-line, i.e. before start-pos.

AFAIU cause is in sgml-mode.el

Where values of (defconst sgml-name-re "[_:[:alpha:]][-_.:[:alnum:]]*")

later on are included

   (setq-local paragraph-start (concat "[ \t]*$\\|\
[ \t]*</?\\(" sgml-name-re sgml-attrs-re "\\)?>"))
   (setq-local paragraph-separate (concat paragraph-start "$"))



;;;;;;;;

<link rel="search" type="application/opensearchdescription+xml" 
href="https://www.youtube.com/opensearch?locale=en_US" title="YouTube 
Video Search"><link rel="shortcut icon" 
href="https://s.ytimg.com/yts/img/favicon-vflz7uhzw.ico" 
type="image/x-icon">     <link rel="icon" 
href="//s.ytimg.com/yts/img/favicon_32-vfl8UGn4k.png" 
sizes="32x32"><link rel="icon" 
href="//s.ytimg.com/yts/img/favicon_48-vfl1s0rKh.png" 
sizes="48x48"><link rel="icon" 
href="//s.ytimg.com/yts/img/favicon_96-vfldSA3ca.png" 
sizes="96x96"><link rel="icon" 
href="//s.ytimg.com/yts/img/favicon_144-vflWmzoXw.png" 
sizes="144x144"><meta name="theme-color" content="#e62117">        <link 
rel="alternate" 
href="android-app://com.google.android.youtube/http/www.youtube.com/watch?v=sP933gIjwUA">
     <link rel="alternate" 
href="ios-app://544007664/vnd.youtube/www.youtube.com/watch?v=sP933gIjwUA">





Acknowledgement sent to Andreas Röhler <andreas.roehler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23584; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 11 Jun 2022 11:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.